unit PREFS;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, inifiles;

type
  TPrefsBox = class(TForm)
    GroupBox1: TGroupBox;
    GroupBox2: TGroupBox;
    btOK: TButton;
    lbBitRate: TLabel;
    eAllParam: TEdit;
    lbAbzac: TLabel;
    eAbzac: TEdit;
    lbMaxlen: TLabel;
    eMaxLen: TEdit;
    lbHugeLen: TLabel;
    eHugeLen: TEdit;
    cbBitRate: TComboBox;
    lbAllParam: TLabel;
    cbQuality: TComboBox;
    lbQuality: TLabel;
    btESC: TButton;
    GroupBox3: TGroupBox;
    lbSeries: TLabel;
    eNB: TEdit;
    chkbChap: TCheckBox;
    GroupBox5: TGroupBox;
    chkbStyle: TCheckBox;
    chkbPrev: TCheckBox;
    chkbRJust: TCheckBox;
    lbFrag: TLabel;
    eNF: TEdit;
    GroupBox4: TGroupBox;
    lbFE1: TLabel;
    lbFE2: TLabel;
    eFE1: TEdit;
    eFE2: TEdit;
    procedure OKButtonClick(Sender: TObject);
    procedure ESCButtonClick(Sender: TObject);
    procedure CBChange(Sender: TObject);
    procedure EditKeyPress(Sender: TObject; var Key: char);

  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  PrefsBox: TPrefsBox;

implementation

{$R *.dfm}

procedure TPrefsBox.CBChange(Sender: TObject);
var
  p, q: string;
begin
  q := '-b'+cbBitRate.Items[cbBitRate.ItemIndex];
  case cbQuality.ItemIndex of
    0: p := '-f';
    1: p := '';
    2: p := '-h';
  else
    p := '';
  end;
  eAllParam.Text := q+' '+p;
end;

procedure TPrefsBox.OKButtonClick(Sender: TObject);
var
  Ini: TIniFile;
begin
  Ini:=TiniFile.Create(extractfilepath(Application.ExeName)+'$.ini');
  Ini.WriteInteger('LAME','BRNumber',cbBitRate.ItemIndex);
  Ini.WriteInteger('LAME','QNumber',cbQuality.ItemIndex);
  Ini.WriteString('LAME','AllParam',eAllParam.Text);
  Ini.WriteString('LitText','Parag',eAbzac.Text);
  Ini.WriteString('LitText','MaxLen',eMaxLen.Text);
  Ini.WriteString('LitText','MaxHugeLen',eHugeLen.Text);
  Ini.WriteBool('LitText','RightJustify',chkbRJust.Checked);
  Ini.WriteString('Series','BytesInBlock',eNB.Text);
  Ini.WriteBool('Series','ChapHeadSencitive',chkbChap.Checked);
  Ini.WriteString('FreshEye','Deep',eFE1.Text);
  Ini.WriteString('FreshEye','Similarity',eFE2.Text);
  Ini.WriteString('Others','BytesInFrag',eNF.Text);
  Ini.WriteBool('Others','IgnoreRules',chkbStyle.Checked);
  Ini.WriteBool('Others','IgnorePrev',chkbPrev.Checked);
  Ini.UpdateFile;
  Ini.Free;
  PrefsBox.Close;
end;

procedure TPrefsBox.EditKeyPress(Sender: TObject; var Key: char);
begin
  if not (Key in ['0'..'9',#8]) then Key := #0;
end;

procedure TPrefsBox.ESCButtonClick(Sender: TObject);
begin
  PrefsBox.Close;
end;

end.
